<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zjrs.zwnw.jbxxgl.entity.VAaa3Mapper">
    <select id="getSshyPList"  resultType="HashMap">
        select v.aaa102 as "aaa102",v.aaa103 as "aaa103"
        from
        (select substr(a.aaa102, 3) he, substr(a.aaa102, 0, 2) qe, a.*
        from aaa3 a
        where a.aaa100 = 'AAB022') v where v.he='00' order by v.aaa102 asc
    </select>

    <select id="getSshyCList" parameterType="String" resultType="HashMap">
        select v.aaa102 as "aaa102",v.aaa103 as "aaa103"
        from
        (select substr(a.aaa102, 3) he, substr(a.aaa102, 0, 2) qe, a.*
        from aaa3 a
        where a.aaa100 = 'AAB022') v where v.qe = #{qe} and v.he != '00' order by v.aaa102 asc
    </select>

    <select id="getSshyMap"  parameterType="String" resultType="HashMap">
        select v.aaa102 as "aaa102",v.aaa103 as "aaa103"
        from
        (select substr(a.aaa102, 3) he, substr(a.aaa102, 0, 2) qe, a.*
        from aaa3 a
        where a.aaa100 = 'AAB022') v where v.aaa102=#{aaa102}
    </select>


</mapper>
